<?php
/**
 * vastnews functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package vastnews
 */

if ( ! defined( '_S_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( '_S_VERSION', '1.0.0' );
}

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function vastnews_setup() {
	/*
		* Make theme available for translation.
		* Translations can be filed in the /languages/ directory.
		* If you're building a theme based on vastnews, use a find and replace
		* to change 'vastnews' to the name of your theme in all the template files.
		*/
	load_theme_textdomain( 'vastnews', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	add_theme_support( 'register_block_style' );

	add_theme_support( 'register_block_pattern' );
	
	add_theme_support( 'responsive-embeds' );

	add_theme_support( 'align-wide' );

	add_theme_support( 'wp-block-styles' );
	
	add_theme_support( 'editor-styles' );


	// add_editor_styles
	
	function vastnews_add_editor_styles() {
		add_editor_style( get_template_directory_uri() . '/css/editor-style.css' );
	}
	add_action('admin_init', 'vastnews_add_editor_styles');
	
	/*
		* Let WordPress manage the document title.
		* By adding theme support, we declare that this theme does not use a
		* hard-coded <title> tag in the document head, and expect WordPress to
		* provide it for us.
		*/
	add_theme_support( 'title-tag' );

	/*
		* Enable support for Post Thumbnails on posts and pages.
		*
		* @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		*/
	add_theme_support( 'post-thumbnails' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(
		array(
			'menu-1' => esc_html__( 'Primary', 'vastnews' ),
			'social' => esc_html__( 'social', 'vastnews' ),
		)
	);

	/*
		* Switch default core markup for search form, comment form, and comments
		* to output valid HTML5.
		*/
	add_theme_support(
		'html5',
		array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
			'style',
			'script',
		)
	);

	// Set up the WordPress core custom background feature.
	add_theme_support(
		'custom-background',
		apply_filters(
			'vastnews_custom_background_args',
			array(
				'default-color' => 'ffffff',
				'default-image' => '',
			)
		)
	);

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/**
	 * Add support for core custom logo.
	 *
	 * @link https://codex.wordpress.org/Theme_Logo
	 */
	add_theme_support(
		'custom-logo',
		array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		)
	);
}
add_action( 'after_setup_theme', 'vastnews_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function vastnews_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'vastnews_content_width', 640 );
}
add_action( 'after_setup_theme', 'vastnews_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function vastnews_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'vastnews' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'vastnews' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);


	register_sidebar(
		array(
			'name'          => esc_html__( 'footer-1', 'vastnews' ),
			'id'            => 'footer-1',
			'description'   => esc_html__( 'Add widgets here.', 'vastnews' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'footer-2', 'vastnews' ),
			'id'            => 'footer-2',
			'description'   => esc_html__( 'Add widgets here.', 'vastnews' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => esc_html__( 'footer-3', 'vastnews' ),
			'id'            => 'footer-3',
			'description'   => esc_html__( 'Add widgets here.', 'vastnews' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);

	register_sidebar(
		array(
			'name'          => esc_html__( 'footer-4', 'vastnews' ),
			'id'            => 'footer-4',
			'description'   => esc_html__( 'Add widgets here.', 'vastnews' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'vastnews_widgets_init' );


function vastnews_fonts_url() {
	$fonts_url = '';
	$font_families = array();
	$subsets       = 'latin,latin-ext';

	if ( 'off' !== _x( 'on', 'Roboto font: on or off', 'vastnews' ) ) {
		$font_families[] = 'Roboto:400,600,700';
	}

	if ( 'off' !== _x( 'on','Raleway font: on or off', 'vastnews' ) ) {
		$font_families[] = 'Raleway:400,600,700';
	}

	if ( 'off' !== _x( 'on', 'Muli font: on or off', 'vastnews' ) ) {
		$font_families[] = 'Muli:400,600,700';
	}
	
	$query_args = array(
		'family' => urlencode( implode( '|', $font_families ) ),
		'subset' => urlencode( $subsets ),
	);
	
	
	if ( $font_families ) {
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	} 

	return esc_url_raw( $fonts_url );
}

/**
 * Enqueue scripts and styles.
 */
function vastnews_scripts() {

	// Add custom fonts
	wp_enqueue_style( 'vastnews-fonts',wptt_get_webfont_url ( vastnews_fonts_url() ), array(), null );

	// Fontawesome style.
	wp_enqueue_style( 'vastnews-fontawesome-style', get_template_directory_uri() . '/assets/css/all.css', array(), '5.15.4');

	wp_enqueue_style('vastnews-block-css', get_template_directory_uri() . '/assets/css/block.css');
	
	wp_enqueue_style('vastnews-editor-style-css', get_template_directory_uri() . '/assets/css/editor-style.css');

	wp_enqueue_style( 'vastnews-slick-style', get_template_directory_uri() . '/assets/css/slick.css', array(), '1.8.0' );

	
	wp_enqueue_style( 'vastnews-style', get_stylesheet_uri(), array(), _S_VERSION );
	
	wp_style_add_data( 'vastnews-style', 'rtl', 'replace' );

	wp_enqueue_script( 'vastnews-navigation', get_template_directory_uri() . '/js/navigation.js', array(), _S_VERSION, true );

	wp_enqueue_script( 'vastnews-slick-script', get_template_directory_uri() . '/js/slick.js', array( 'jquery' ), '1.8.0', true );

	wp_enqueue_script( 'vastnews-custome', get_template_directory_uri() . '/js/custome.js', array( 'jquery' ), _S_VERSION, true );
	
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'vastnews_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Webfont Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Recommended Plugins.
 */
require get_template_directory() . '/inc/tgmpa/recommended-plugins.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

